package com.heyu.api.baidu.request.medical;


import com.heyu.api.baidu.BaiduBaseHandle;
import com.heyu.api.baidu.response.medical.BMedicalSurgeryResp;
import org.springframework.stereotype.Component;

/**
 * https://console.bce.baidu.com/support/?_=1740575657628&timestamp=1740582858429#/api?product=AI&project=%E6%96%87%E5%AD%97%E8%AF%86%E5%88%AB&parent=%E5%8C%BB%E7%96%97%E7%A5%A8%E6%8D%AEOCR&api=rest%2F2.0%2Focr%2Fv1%2Fmedical_recipts_classify&method=post
 * <p>
 * 医疗票据类别检测
 */
@Component
public class BMedicalReciptsClassifyHandle extends BaiduBaseHandle<BMedicalSurgeryRequest, BMedicalSurgeryResp> {
    @Override
    public String getUri() {
        return "/rest/2.0/ocr/v1/medical_recipts_classify";
    }

    @Override
    public String check(BMedicalSurgeryRequest bMedicalSurgeryRequest) {
        return checkSimpleProbabilityLocation(bMedicalSurgeryRequest);
    }

    @Override
    public String getContent(BMedicalSurgeryRequest bMedicalSurgeryRequest) {
        return getSimpleProbabilityLocationContent(bMedicalSurgeryRequest).toString();
    }
}
